Api reference
Get an international payment quote
POST/api/merchant/international-payment-intents/quote
Returns available payout options and their short-lived expiry. Quote reads do not require an idempotency key and do not reserve funds.
Request
Request body (required)
Prop
Type
{ "routeType": "ngn", "sourceCountry": "string", "sourceChain": "string", "sourceAsset": "string", "sourceType": "string", "destinationCountry": "US", "destinationCurrency": "USD", "destinationAmount": 250, "destinationType": "string"}Responses
201 International payment quote with destination requirements for each option
{ "type": "object", "required": [ "message", "response" ], "properties": { "message": { "type": "string" }, "response": { "type": "object", "required": [ "quoteId", "routeType", "destinationCountry", "destinationCurrency", "destinationAmount", "status", "expiresAt", "options" ], "properties": { "quoteId": { "type": "string" }, "selectedOptionId": { "type": "string" }, "routeType": { "type": "string", "enum": [ "ngn", "usdc" ] }, "destinationCountry": { "type": "string" }, "destinationCurrency": { "type": "string" }, "destinationType": { "type": "string" }, "destinationAmount": { "type": "number" }, "status": { "type": "string", "enum": [ "active", "used", "expired", "cancelled" ] }, "expiresAt": { "type": "string", "format": "date-time" }, "quoteMode": { "type": "string", "enum": [ "destination_amount" ] }, "options": { "type": "array", "items": { "type": "object", "required": [ "optionId", "expiresAt", "requirementsSchema" ], "properties": { "optionId": { "type": "string" }, "methodCode": { "type": "string" }, "methodLabel": { "type": "string" }, "settlementLabel": { "type": "string" }, "expiresAt": { "type": "string", "format": "date-time" }, "exchangeRate": { "type": "number" }, "principalUsdc": { "type": "number" }, "providerFeeUsdc": { "type": "number" }, "serviceFeeUsdc": { "type": "number" }, "customerChargeTotalUsdc": { "type": "number" }, "customerChargeTotalNgn": { "type": "number" }, "effectiveCustomerNgnPerUsd": { "type": "number" }, "quotedUsdcFeeAmount": { "type": "number" }, "quotedTotalAmountUsdc": { "type": "number" }, "quotedTotalAmountNgn": { "type": "number" }, "fee_included_rate": { "type": "number" }, "requirementsSchema": { "type": "object", "additionalProperties": true, "description": "JSON Schema for the destinationPayload required by this option. Read this live value after selecting the option; requirements vary by route and can change." } } } }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "title": "InternationalPaymentQuote" } }, "title": "InternationalPaymentQuoteResponse"}